import RTPApplication
import TemporalSelector

Class TSelectApp -superclass RTPApplication

TSelectApp instproc init args {
    $self next tselect_app

    $self init_resources;

    [$self options] register_option -comm_id comm_id
    [$self options] register_option -cntrl_spec cntrl_spec

    eval [$self options] parse_args $args;

    $self instvar tselect_obj_
    
    set tselect_obj_ [new TemporalSelector [$self get_option comm_id] [$self get_option cntrl_spec]];
}

TSelectApp instproc init_resources {} {
    $self add_option network ip
    $self add_option mtu 1024
    $self add_option defaultTTL 32
    $self add_option sessionType rtpv2
    $self add_option maxVideoSessionBW 30000000
}

set app [new TSelectApp $argv];

puts "Selector running on [exec hostname]";


