#ifndef mc_reply_h
#define mc_reply_h

#include "srm/session-srm.h"

class MC_Manager;

class MC_Reply : public SRM_Reply {
public:
	MC_Reply(MC_Manager *mcmgr, const char *key) {
		mcmgr_ = mcmgr;
		key_ = new char[strlen(key) + 1];
		strcpy(key_, key);
	}
	~MC_Reply(void) {
		delete[] key_;
	}
	virtual int fill_ADU(void);
protected:
	char *key_;     
	MC_Manager *mcmgr_;
};

#endif // mc_reply_h
